Download it now!
Bug 102125 - Notebookbar doesnt retain toolbar mode after opening a document
Summary: Notebookbar doesnt retain toolbar mode after opening a document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Notebookbar
  Show dependency treegraph
 
Reported: 2016-09-12 20:58 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-05 20:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-12 20:58:30 UTC
Steps:
1) Open writer in default toolbar mode
2) Switch to notebookbar mode
3) File > Open
4) Select a file
5) Menu bar is visible and Notebookbar has disappeared

This seems similar to bug 102063. If the notebookbar cant maintain mode, then it becomes quite useless.

Version: 5.3.0.0.alpha0+
Build ID: 78404fe5549fded2eaf0c5ea6e1ca66039e995af
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-09-11_09:14:01
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 V Stuart Foote 2016-09-12 22:40:56 UTC
Yes, clicking the Menubar's View refreshes UI-- then the main Menubar closes while NotebookBar opens again.

Also, if selecting the Menubar to show with the NotebookBar (from the ODF icon list) perfoming a save action, or an open action from the NotebookBar widgets closes the Menubar--when it should still be showing. 

And making another selection of it from the ODF icon briefly opens it and it then it correctly closes.
Comment 2 Yousuf Philips (jay) (retired) 2016-10-05 19:37:17 UTC
This has been fixed.

Version: 5.3.0.0.alpha0+
Build ID: f309531cfe1d6a1b6ea1306d45ed3e121145bc5f
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-04_03:52:18
Locale: en-US (en_US.UTF-8); Calc: group

@Stuart: If any of the ones you noticed still arent working, please file a separate bug for them, so they can be taken care of.
Comment 3 V Stuart Foote 2016-10-05 20:38:37 UTC
@Jay, *

With any of the Notebookbar mode selected, on close and open the selected Notebookbar mode is retained.

So I think behavior is correct now pending what is done for bug 90195. Of the three MUFFIN modes for Notebookbar, just the "Tabbed" mode hides the Menus by default--unhidden from the "ODf icon menu" -> Menubar entry.

So while the main Menus are again hidden opening a document into Notebookbar "Tabbed" mode, I don't find this objectionable. It is consistent UI.